yum upgrade error

Ignus

Guest
#1
I have a standard 0.7 install. When I run yum update or yum upgrade, I get a bunch of dependencies errors.

Any idea how to fix that?

Code:
--> Finished Dependency Resolution
Error: Missing Dependency: perl(Data::UUID) is needed by package elastix-additionals
Error: Missing Dependency: perl(Proc::«»Daemon) is needed by package freePBX
Error: Missing Dependency: perl(WWW::Mechanize) is needed by package elastix-additionals
Error: Missing Dependency: perl(Net::«»Ping::External) is needed by package elastix-additionals
Error: Missing Dependency: perl(Fortune) is needed by package elastix-additionals
Error: Missing Dependency: perl(Speech::Recognizer::«»SPX) is needed by package freePBX
Error: Missing Dependency: perl(retrieve_parse_amportal_conf.pl) is needed by package freePBX
Error: Missing Dependency: perl(Asterisk::Games::Zork::ZInterpreter) is needed by package freePBX
Error: Missing Dependency: perl(HTML::TokeParser::«»Simple) is needed by package elastix-additionals
Error: Missing Dependency: perl(Config::Tiny) is needed by package freePBX
Error: Missing Dependency: perl(Asterisk::Games::Zork::«»StoryFile) is needed by package freePBX
Error: Missing Dependency: perl(Win32::Console) is needed by package freePBX
 

jr_oblika

Joined
Mar 16, 2007
Messages
67
Likes
0
Points
0

Ignus

Joined
Apr 27, 2007
Messages
1
Likes
0
Points
0
#3
0.7 does have that exclude line at all, but I added it in, but it still has the same dependency problems.

Here's the full output:

Code:
[root@elastix yum.repos.d]# yum upgrade
Setting up Upgrade Process
Setting up repositories
Reading repository metadata in from local files
Excluding Packages from CentOS-4 - Updates
Finished
Excluding Packages from CentOS-4 - Base
Finished
Excluding Packages from CentOS-4 - Addons
Finished
Excluding Packages from Elastix RPM Repository for CentOS
Finished
Excluding Packages from CentOS-4 - Extras
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package krb5-devel.i386 0:1.3.4-46 set to be updated
---> Package elastix-additionals.noarch 0:0.7-2 set to be updated
---> Package mysql-devel.i386 0:4.1.20-2.RHEL4.1 set to be updated
---> Package mysql-server.i386 0:4.1.20-2.RHEL4.1 set to be updated
---> Package freePBX.noarch 0:2.2-1 set to be updated
---> Package krb5-workstation.i386 0:1.3.4-46 set to be updated
---> Package cups-libs.i386 1:1.1.22-0.rc1.9.18 set to be updated
---> Package xorg-x11-Mesa-libGL.i386 0:6.8.2-1.EL.13.37.7 set to be updated
---> Package asterisk.i386 0:1.2.17-1.3 set to be updated
---> Package krb5-libs.i386 0:1.3.4-46 set to be updated
---> Package cups.i386 1:1.1.22-0.rc1.9.18 set to be updated
---> Package mysql.i386 0:4.1.20-2.RHEL4.1 set to be updated
---> Package xorg-x11-font-utils.i386 0:6.8.2-1.EL.13.37.7 set to be updated
---> Package xorg-x11-xfs.i386 0:6.8.2-1.EL.13.37.7 set to be updated
---> Package freetype.i386 0:2.1.9-5.el4 set to be updated
---> Package elastix.noarch 0:0.7-3 set to be updated
---> Package xorg-x11-libs.i386 0:6.8.2-1.EL.13.37.7 set to be updated
--> Running transaction check
--> Processing Dependency: perl(Data::UUID) for package: elastix-additionals
--> Processing Dependency: perl(Proc::«»Daemon) for package: freePBX
--> Processing Dependency: perl(WWW::Mechanize) for package: elastix-additionals
--> Processing Dependency: perl(Net::«»Ping::External) for package: elastix-additionals
--> Processing Dependency: perl(Fortune) for package: elastix-additionals
--> Processing Dependency: perl(Speech::Recognizer::«»SPX) for package: freePBX
--> Processing Dependency: perl(Mail::IMAPClient) for package: elastix-additionals
--> Processing Dependency: perl(retrieve_parse_amportal_conf.pl) for package: freePBX
--> Processing Dependency: perl(Asterisk::Games::Zork::ZInterpreter) for package: freePBX
--> Processing Dependency: perl(HTML::TokeParser::«»Simple) for package: elastix-additionals
--> Processing Dependency: perl(Config::Tiny) for package: freePBX
--> Processing Dependency: perl(Asterisk::Games::Zork::«»StoryFile) for package: freePBX
--> Processing Dependency: perl(Win32::Console) for package: freePBX
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package perl-Mail-IMAPClient.noarch 0:2.2.9-1.rf set to be updated
--> Running transaction check
--> Processing Dependency: perl(Data::UUID) for package: elastix-additionals
--> Processing Dependency: perl(Proc::«»Daemon) for package: freePBX
--> Processing Dependency: perl(WWW::Mechanize) for package: elastix-additionals
--> Processing Dependency: perl(Net::«»Ping::External) for package: elastix-additionals
--> Processing Dependency: perl(Fortune) for package: elastix-additionals
--> Processing Dependency: perl(Speech::Recognizer::«»SPX) for package: freePBX
--> Processing Dependency: perl(Win32::Console) for package: freePBX
--> Processing Dependency: perl(retrieve_parse_amportal_conf.pl) for package: freePBX
--> Processing Dependency: perl(Asterisk::Games::Zork::ZInterpreter) for package: freePBX
--> Processing Dependency: perl(HTML::TokeParser::«»Simple) for package: elastix-additionals
--> Processing Dependency: perl(Config::Tiny) for package: freePBX
--> Processing Dependency: perl(Asterisk::Games::Zork::«»StoryFile) for package: freePBX
--> Finished Dependency Resolution
Error: Missing Dependency: perl(Data::UUID) is needed by package elastix-additionals
Error: Missing Dependency: perl(Proc::«»Daemon) is needed by package freePBX
Error: Missing Dependency: perl(WWW::Mechanize) is needed by package elastix-additionals
Error: Missing Dependency: perl(Net::«»Ping::External) is needed by package elastix-additionals
Error: Missing Dependency: perl(Fortune) is needed by package elastix-additionals
Error: Missing Dependency: perl(Speech::Recognizer::«»SPX) is needed by package freePBX
Error: Missing Dependency: perl(retrieve_parse_amportal_conf.pl) is needed by package freePBX
Error: Missing Dependency: perl(Asterisk::Games::Zork::ZInterpreter) is needed by package freePBX
Error: Missing Dependency: perl(HTML::TokeParser::«»Simple) is needed by package elastix-additionals
Error: Missing Dependency: perl(Config::Tiny) is needed by package freePBX
Error: Missing Dependency: perl(Asterisk::Games::Zork::«»StoryFile) is needed by package freePBX
Error: Missing Dependency: perl(Win32::Console) is needed by package freePBX
 

Members online

No members online now.

Forum statistics

Threads
30,952
Messages
130,980
Members
17,654
Latest member
janko67
Top